Subject: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Aug 2022 19:24:41 +0300

> From: Ihor Radchenko <[email-masked]>
> Date: Sun, 14 Aug 2022 23:55:46 +0800
> 
> I am experiencing severe performance degradation on current master.
> 
> The degradation happens when working with Org files and I managed to
> bisect the cause down to
> 
> e7b5912b235936b304701ba6b1e808d9b197fd4f is the first bad commit
> commit e7b5912b235936b304701ba6b1e808d9b197fd4f
> Author: Gregory Heytings <[email-masked]>
> Date:   Sat Jul 16 19:06:38 2022 +0000

How large is that Org buffer?  I mean, what is its size in
characters?